> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/android/changelogs/version-6/v6-1-0.md).

# Version 6.1.0 Changelog (November 15, 2013)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

### NEW

* Significant improvements to rendering performance for image heavy documents. The rendering pipeline now uses SIMD processing and multithreaded execution to speed up image loading and rendering (only available in ARM-v7 and x86 libraries).
* Tools source code is now included as part of the standard distribution as an Android library. The PDFViewCtrlDemo sample project should now reference the PDFViewCtrlTools project on the same workspace. The code can also be used as a template to build new tools.
* \[Tools] Added new DigitalSignature tool, a new sample annotation tool showing how to apply a digital signature to a signature field. It allows the user to draw his/her own signature or choose an image file as the appearance. Please note that this tool is for demonstration purposes and uses a pre-generated dummy certificate for signing.
* \[Tools] Added new RichMedia tool, which can play embedded rich media content (supported media formats are dependent on the device's Android version).
* New PDFViewCtrl APIs. Please see documentation for details:
* Tool.onScrollChanged
* Tool.onConfigurationChanged
* getOCGContext
* setOCGContext
* setTextSearchListener
* HTTPRequestOptions
* LinkInfo.getRect
* getDeviceTransform
* getPageCount
* getVisiblePages
* setPageTransparencyGrid
* Changed PDFViewCtrl APIs:
* PDFViewCtrl.openURL
* convClientPtToCanvasPt replaced by convScreenPtToCanvasPt
* convClientPtToPagePt replaced by convScreenPtToPagePt
* convCanvasPtToClientPt replaced by convCanvasPtToScreenPt
* convPagePtToClientPt replaced by convPagePtToScreenPt
* getPageNumberFromClientPt replaced by getPageNumberFromScreenPt
* selectByHighlights replaced by selectWithHighlights
* selectBySelection replaced by selectWithSelection
* LinkInfo.getX1 ... replaced by LinkInfo.getRect
* findText
* setViewerCache

### MISC CHANGES

* \[Tools] Changed deprecated document lock calls.
* \[Tools] Changed quick menu option "Note" to "Text" for free text annotation.

### BUG FIXES

* Fixed a potential crash when an attempt to destroy the control is triggered just after openURL() is called.
* Fixed a small issue with the PDFViewCtrl password dialog, where hitting the enter key would not submit the password.
* Miscellaneous bug fixes and improvements.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/android/changelogs/version-6/v6-1-0.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
